FSCK(8)

NAME
fsck - file system consistency check and interactive repair

SYNOPSIS
[-dvplfyn] [-l maxparallel] [-t fstype] [-T fstype:fsoptions] [special | node ...]

DESCRIPTION
The fsck command invokes filesystem-specific programs to check the special devices listed in the fstab(5) file or in the command line for consistency.

It is normally used in the script /etc/rc during automatic reboot. If no filesystems are specified, and ``preen'' mode is enabled ( -p option) fsck reads the table /etc/fstab to determine which filesystems to check. Only partitions in fstab that are mounted ``rw,'' ``rq'' or ``ro'' and that have non-zero pass number are checked. Filesystems with pass number 1 (normally just the root filesystem) are checked one at a time. When pass 1 completes, all remaining filesystems are checked, running one process per disk drive. The disk drive containing each filesystem is inferred from the longest prefix of the device name that ends in a digit; the remaining characters are assumed to be the partition designator.

The options are as follows:

-d  Debugging mode. Just print the commands without executing them. Available only if fsck is compiled to support it.

-f  Force checking of filesystems, even when they are marked clean (for filesystems that support this).

-l maxparallel
    Limit the number of parallel checks to the number specified in the following argument. By default, the limit is the number of disks, running one process per disk. If a smaller limit is giv- en, the disks are checked round-robin, one filesystem at a time.

-n  Causes fsck to assume no as the answer to all operator questions, except "CONTINUE?".

-p  Enter preen mode.

-t fstype
    Invoke fsck only for the comma separated list of filesystem types. If the list starts with “no” then invoke fsck for the filesystem types that are not specified in the list.

-v  Print the commands before executing them.

-y  Causes fsck to assume yes as the answer to all operator questions.

-T fstype:fsoptions
    List of comma separated file system specific options for the specified file system type, in the same format as mount(8).

FILES
/etc/fstab
    file system table

SEE ALSO
mount(8), fstab(5), fsck_msdos(8), fsck_ffs(8)